function Create(self)
	--The bounding box.
	self.box = Box(self.Pos - Vector(48,24),self.Pos + Vector(12,24));
	
	--The glow effect (this prevents there being more than one).
	self.effects = {};
	
	--The maximum amount of glows at the same time.
	self.effectsMax = 3;
end

function Update(self)
	--Check for actors trying to enter.
	for actor in MovableMan.Actors do
		--If the actor is coming in...
		if actor.Vel.X < 0 and self.box:WithinBox(actor.Pos) then
			actor.Vel.X = 0;
			actor.Pos.X = self.Pos.X + 12;
			
			--Create the force field effect.
			self.effects[#self.effects + 1] = CreateMOPixel("Force Field Right Glow");
			self.effects[#self.effects].Pos = self.Pos;
			MovableMan:AddParticle(self.effects[#self.effects]);
		end
	end
	
	--Check for particles trying to enter.
	for particle in MovableMan.Particles do
		--If the actor is coming in...
		if particle.Vel.X < 0 and self.box:WithinBox(particle.Pos) then
			particle.Vel = particle.Vel * -0.1;
			particle.Pos.X = self.Pos.X + 12;
			particle.HitsMOs = false;
			
			--Create the force field effect.	
			self.effects[#self.effects + 1] = CreateMOPixel("Force Field Right Glow");
			self.effects[#self.effects].Pos = self.Pos;
			MovableMan:AddParticle(self.effects[#self.effects]);
		end
	end
	
	--Remove excess effects.
	if #self.effects > self.effectsMax then
		self.effects[1].ToDelete = true;
		table.remove(self.effects,1);
	end
end